DECLARE

RSP VARCHAR2(255 CHAR);

BEGIN
	-- Baixa Alumne
	Baixa_Alumne(1015,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Alumne => ' || RSP);
	-- Baixa Alumne que no existeix
	Baixa_Alumne(100,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Alumne que no existeix => ' || RSP);
	-- Baixa Alumne inscrit a un curs
	Baixa_Alumne(1000,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Alumne inscrit a un curs => ' || RSP);

	-- Baixa Assignatura
	Baixa_Assignatura(2,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Assignatura => ' || RSP);
	-- Baixa Assignatura que no existeix
	Baixa_Assignatura(2,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Assignatura que no existeix => ' || RSP);
	-- Baixa Assignatura que s'imparteix a un curs
	Baixa_Assignatura(1,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Assignatura que s''imparteix a un curs => ' || RSP);

	-- Baixa d'un alumne d'un curs
	Baixa_CursAlumne(1000,1001,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa d''un alumne d''un curs => ' || RSP);
	-- Baixa d'un alumne d'un curs no inscrit
	Baixa_CursAlumne(1000,1001,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa d''un alumne d''un curs no inscrit => ' || RSP);
	-- Baixa d'un alumne d'un curs ja comenat
	Baixa_CursAlumne(1000,1000,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa d''un alumne d''un curs ja comenat => ' || RSP);

	-- Baixa d'un Curs
	Baixa_Curs(1003,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa d''un Curs => ' || RSP);
	-- Baixa d'un Curs que no existeix
	Baixa_Curs(1006,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa d''un Curs que no existeix => ' || RSP);
	-- Baixa d'un Curs comenat
	Baixa_Curs(1000,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa d''un Curs comenat => ' || RSP);

	-- Baixa d'una Assignatura a un Curs
	Baixa_Imparteix(1,1001,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa d''una Assignatura a un Curs => ' || RSP);
	-- Baixa d'una Assignatura a un Curs en que no hi s
	Baixa_Imparteix(1,100,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa d''una Assignatura a un Curs en que no hi s => ' || RSP);
	-- Baixa d'una Assignatura a un Curs comenat
	Baixa_Imparteix(1,1000,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa d''una Assignatura a un Curs comenat => ' || RSP);

	-- Baixa de dies lectius
	Baixa_DiesLectius('22/12/2011', '07/01/2012',RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa de dies lectius => ' || RSP);

	-- Baixa Calendari
	Baixa_Calendari(1001,1,4,'12:00',RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Calendari => ' || RSP);
	-- Baixa Calendari que no existeix
	Baixa_Calendari(1001,1,4,'12:00',RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Calendari que no existeix => ' || RSP);
	-- Baixa Calendari amb curs comenat
	Baixa_Calendari(1000,1,4,'12:00',RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Calendari amb curs comenat => ' || RSP);

	-- Baixa Professor
	Baixa_Professor(1010,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Professor => ' || RSP);
	-- Baixa Professor que no existeix
	Baixa_Professor(100,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Professor que no existeix => ' || RSP);
	-- Baixa Professor que es tutor
	Baixa_Professor(1005,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Professor que es tutor => ' || RSP);
	-- Baixa Professor que imparteix una assignatura
	Baixa_Professor(1000,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Professor que imparteix una assignatura => ' || RSP);

	-- Baixa Sanci
	Baixa_Sancio(1,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Sanci => ' || RSP);
	-- Baixa Sanci no existent
	Baixa_Sancio(15,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Sanci no existent => ' || RSP);

	-- Baixa Amonestaci
	Baixa_Amonestacio(1,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Amonestaci => ' || RSP);
	-- Baixa Amonestaci que no existeix
	Baixa_Amonestacio(16,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Amonestaci que no existeix => ' || RSP);

	-- Baixa Tipus d'amonestaci
	Baixa_TAmonestacio(2,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Tipus d''amonestaci => ' || RSP);
	-- Baixa Tipus d'amonestaci que no existeix
	Baixa_TAmonestacio(25,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Tipus d''amonestaci que no existeix => ' || RSP);

	-- Baixa Tipus Sanci
	Baixa_TSancio(3,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Tipus Sanci => ' || RSP);
	-- Baixa Tipus Sanci que no existeix
	Baixa_TSancio(45,RSP);
	DBMS_OUTPUT.PUT_LINE ('Baixa Tipus Sanci que no existeix => ' || RSP);

END;