DECLARE

RSP VARCHAR2(255 CHAR);

BEGIN

	-- Modificaci d'alumne
	Modificar_Alumne (1005,'33423123S','Joan Boix Abell','Av. Santa Maria, 10','936622646','Joan.Boix@mail.com',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificaci d''alumne => ' || RSP);
	-- Modificaci d'alumne que no existeix
	Modificar_Alumne (100,'11423123S','Joan Boix Abell','Av. Santa Maria, 10','936622646','Joan.Boix@mail.com',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificaci d''alumne que no existeix => ' || RSP);
	-- Modificaci d'alumne amb dades d'un altre
	Modificar_Alumne (1002,'88423123S','Joan Boix Abell','Av. Santa Maria, 10','936622646','Joan.Boix@mail.com',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificaci d''alumne amb dades d''un altre => ' || RSP);

	-- Modificar Assignatura
	Modificar_Assignatura (1,'Llengua','desenvolupar i augmentar la capacitat oral i escrita',RSP);  
	DBMS_OUTPUT.PUT_LINE ('Modificar Assignatura => ' || RSP);
	-- Modificar Assignatura no trobada
	Modificar_Assignatura (10000,'Llengua Catalana','desenvolupar i augmentar la capacitat oral i escrita',RSP); 
	DBMS_OUTPUT.PUT_LINE ('Modificar Assignatura no trobada => ' || RSP);
	-- Modificar Assignatura amb dades d'una altra
	Modificar_Assignatura (2,'Llengua','desenvolupar i augmentar la capacitat oral i escrita',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar Assignatura amb dades d''una altra => ' || RSP);

	-- Modificar Curs
	Modificar_Curs(1001,'3r ESO','2012','Tercer curs ESO','04/09/2011','18/06/2012',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar Curs => ' || RSP);
	-- Modificar Curs no trobat
	Modificar_Curs(100,'3r ESO','2012','Tercer curs ESO','04/09/2011','18/06/2012',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar Curs no trobat => ' || RSP);
	-- Modificar Curs amb data inici incorrecta
	Modificar_Curs(1001,'3r ESO','2012','Tercer curs ESO','04/09/2009','18/06/2012',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar Curs amb data inici incorrecta => ' || RSP);
	-- Modificar Curs amb data fi incorrecta
	Modificar_Curs(1001,'3r ESO','2012','Tercer curs ESO','04/09/2011','18/06/2010',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar Curs amb data fi incorrecta => ' || RSP);
	-- Modificar Curs amb any incorrecte
	Modificar_Curs(1001,'3r ESO','2009','Tercer curs ESO','04/09/2011','18/06/2012',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar Curs amb any incorrecte => ' || RSP);
	-- Modificar Curs amb dada incorrecta
	Modificar_Curs(1001,null,'2012','Tercer curs ESO','04/09/2011','18/06/2012',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar Curs amb dada incorrecta => ' || RSP);

	-- Modificar professor que imparteix una assignatura
	Modificar_Imparteix (1,1004,1002,RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar professor que imparteix una assignatura => ' || RSP);
	-- Modificar professor que imparteix una assignatura a un curs finalitzat
	Modificar_Imparteix (1,1004,1000,RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar professor que imparteix una assignatura a un curs finalitzat => ' || RSP);
	-- Modificar professor que imparteix una assignatura que no s'imparteix
	Modificar_Imparteix (1,100,1001,RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar professor que imparteix una assignatura que no s''imparteix => ' || RSP);

	-- Modificar Professor
	Modificar_Professor (1005,'99444123X','Joan Manel Boix Abell','C/. General Prim, 27-33','936364700','Joan Manel.Boix@mail.com',1001,RSP); 
	DBMS_OUTPUT.PUT_LINE ('Modificar Professor => ' || RSP);
	-- Modificar Professor que no existeix
	Modificar_Professor (100,'88444123X','Joan Manel Boix Abell','C/. General Prim, 27-33','936364700','Joan Manel.Boix@mail.com',null,RSP); 
	DBMS_OUTPUT.PUT_LINE ('Modificar Professor que no existeix => ' || RSP);
	-- Modificar Professor assignar un curs que no existeix
	Modificar_Professor (1001,'88444123X','Joan Manel Boix Abell','C/. General Prim, 27-33','936364700','Joan Manel.Boix@mail.com',100,RSP); 
	DBMS_OUTPUT.PUT_LINE ('Modificar Professor assignar un curs que no existeix => ' || RSP);
	
	-- Modificaci d'amonestacio
	Modificar_Amonestacio(1,1,1,1000,1002,'12/05/2011','12:00',1,1,'Amonestaci de prova',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificaci d''amonestacio => ' || RSP);
	-- Modificaci d'una amonestaci que no existeix
	Modificar_Amonestacio(1000,1,1,1000,1001,'12/05/2011','12:00',1,1,'Amonestaci de prova',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificaci d''una amonestaci que no existeix => ' || RSP);
	-- Modificaci d'amonestacio amb data incorrecta
	Modificar_Amonestacio(1,1,1,1000,1001,'12/05/2008','12:00',1,1,'Amonestaci de prova',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificaci d''amonestacio amb data incorrecta => ' || RSP);
	-- Modificaci d'amonestacio amb un curs que no existeix
	Modificar_Amonestacio(1,1,1,1000,100,'12/05/2011','12:00',1,1,'Amonestaci de prova',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificaci d''amonestacio amb un curs que no existeix => ' || RSP);

	-- Modificaci de Sanci
	Modificar_Sancio (1,'06/05/2011', '03:22', 1002, 'Sanci personalitzada de prova',rsp);
	DBMS_OUTPUT.PUT_LINE ('Modificaci de Sanci => ' || RSP);
	-- Modificaci de Sanci no trobada
	Modificar_Sancio (10000,'06/10/2011', '03:22', 1002, 'Sanci personalitzada de prova',rsp);
	DBMS_OUTPUT.PUT_LINE ('Modificaci de Sanci no trobada => ' || RSP);
	-- Modificaci de Sanci automtica
	Alta_Amonestacio (1000,1,1,1000,1002,'11/05/2011','12:00',0,1,'Amonestaci de prova',RSP);
	Alta_Amonestacio (1000,1,1,1000,1002,'10/05/2011','12:00',0,1,'Amonestaci de prova',RSP);
	Alta_Amonestacio (1000,1,1,1000,1002,'10/05/2011','10:00',0,1,'Amonestaci de prova',RSP);
	Modificar_Sancio (3,'06/10/2011', '03:22', 1002, 'Sanci personalitzada de prova',rsp);
	DBMS_OUTPUT.PUT_LINE ('Modificaci de Sanci automtica => ' || RSP);
	-- Modificaci de Sanci amb data incorrecta
	Modificar_Sancio (1,'06/10/2009', '03:22', 1002, 'Sanci personalitzada de prova',rsp);
	DBMS_OUTPUT.PUT_LINE ('Modificaci de Sanci amb data incorrecta => ' || RSP);
	-- Modificaci de Sanci amb un curs no existent
	Modificar_Sancio (1,'06/10/2011', '03:22', 100, 'Sanci personalitzada de prova',rsp);
	DBMS_OUTPUT.PUT_LINE ('Modificaci de Sanci amb un curs no existent => ' || RSP);

	-- Modificar Tipus d'amonestacions
	Modificar_TAmonestacio(1,'arriba_tard','Quan l''alumne arriba tard a classe',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar Tipus d''amonestacions => ' || RSP);
	-- Modificar Tipus d'amonestacions no existent
	Modificar_TAmonestacio(10000,'arriba_tard','Quan l''alumne arriba tard a classe',RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar Tipus d''amonestacions no existent => ' || RSP);

	-- Modificar Tipus de Sancions
	Modificar_TSancio (2,'Quedar-se una hora','Automticament quan l''alumne arriba tard tres vegades',1,'=',3,RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar Tipus de Sancions => ' || RSP);
	-- Modificar Tipus de Sancions que no existeix
	Modificar_TSancio (10000,'Quedar-se una hora extra d''estudi durant una setmana','Automticament quan l''alumne arriba tard tres vegades',1,'=',3,RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar Tipus de Sancions que no existeix => ' || RSP);
	-- Modificar Tipus de Sancions amb operador no vlid
	Modificar_TSancio (1,'Quedar-se una hora extra d''estudi durant una setmana','Automticament quan l''alumne arriba tard tres vegades',1,'P',3,RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar Tipus de Sancions amb operador no vlid => ' || RSP);
	-- Modificar Tipus de Sancions amb tipus d'amonestaci no trobat
	Modificar_TSancio (1,'Quedar-se una hora extra d''estudi durant una setmana','Automticament quan l''alumne arriba tard tres vegades',10000,'=',3,RSP);
	DBMS_OUTPUT.PUT_LINE ('Modificar Tipus de Sancions amb tipus d''amonestaci no trobat => ' || RSP);

END;	