CREATE OR REPLACE PROCEDURE Insert_Log (v_procediment IN LOG_ERROR.PROCEDIMENT %TYPE,  
            v_PARAMENTRADA IN LOG_ERROR.PARAMENTRADA%TYPE,  
			v_PARAMSORTIDA IN LOG_ERROR.PARAMSORTIDA%TYPE,
            RSP IN OUT NOCOPY LOG_ERROR.RSP%TYPE) IS
               
    BEGIN
    
        INSERT INTO LOG_ERROR (PROCEDIMENT,DATA,PARAMENTRADA,PARAMSORTIDA,RSP) 
        VALUES (v_PROCEDIMENT,SYSDATE, v_PARAMENTRADA,v_PARAMSORTIDA,RSP);   

        COMMIT;

    EXCEPTION
        WHEN OTHERS THEN 
            rsp:='ERROR:'||SQLERRM;
    END;    